Skip to main content

PUT /tax/entries/\{id\}

PUT 

/tax/entries/:id

PUT /tax/entries/{id}

Request​

Path Parameters

    id int64required

Body

    id int64nullable
    type stringnullable
    currency stringnullable
    tax_rate double
    tax_rate_rc doublenullable
    tax_base_in double
    tax_base_in_leg double
    tax_base_out double
    tax_base_out_leg double
    tax_amount_in double
    tax_amount_in_leg double
    tax_amount_out double
    tax_amount_out_leg double
    tax_amount_claim double
    tax_amount_claim_leg double
    tax_deduction_ratio doublenullable
    tax_return_base_in stringnullable
    tax_return_base_out stringnullable
    tax_return_amount_claim stringnullable
    tax_return_amount_out stringnullable
    tax_control_statement stringnullable
    tax_eu_sales_report stringnullable
    is_reverse_charge boolean
    date_tax_applied datenullable

    transaction

    object

    id int64nullable
    uid uuidnullable
    created_at date-timenullable
    edited_at date-timenullable
    type stringnullable
    no stringnullable
    vendor_doc_no stringnullable
    credited_doc_no stringnullable
    currency stringnullable
    date_issued datenullable
    date_taxable datenullable
    date_tax_applied datenullable

    contact

    object

    id int64nullable
    business_name stringnullable
    display_name stringnullable
    reg_no stringnullable
    vat_no stringnullable
    tax_no stringnullable

    address

    object

    name stringnullable
    company stringnullable
    address1 stringnullable
    address2 stringnullable
    postal_code stringnullable
    city stringnullable
    region stringnullable
    country stringnullable

    Possible values: <= 2 characters

    email stringnullable
    preferred_locale stringnullable
    phone stringnullable

    transaction_type

    object

    id int32nullable
    name stringnullable
    associated_payment_cards string[]nullable
    description stringnullable
    tax_fx_rate doublenullable
    tax_deduction_ratio doublenullable
    net_deduction_ratio doublenullable

    jurisdiction

    object

    country stringnullable
    region stringnullable
    subregion stringnullable

    row

    object

    description stringnullable
    tax_deduction_ratio doublenullable
    net_deduction_ratio doublenullable

    tax

    object

    id int64
    code stringnullable
    country stringnullable
    region stringnullable
    subregion stringnullable
    name stringnullable

    tax_return_stats

    object

    total_count int32
    first_period stringnullable
    first_tax_return_id int64
    last_period stringnullable
    last_tax_return_id int64

Responses​

OK

Schema

    id int64nullable
    type stringnullable
    currency stringnullable
    tax_rate double
    tax_rate_rc doublenullable
    tax_base_in double
    tax_base_in_leg double
    tax_base_out double
    tax_base_out_leg double
    tax_amount_in double
    tax_amount_in_leg double
    tax_amount_out double
    tax_amount_out_leg double
    tax_amount_claim double
    tax_amount_claim_leg double
    tax_deduction_ratio doublenullable
    tax_return_base_in stringnullable
    tax_return_base_out stringnullable
    tax_return_amount_claim stringnullable
    tax_return_amount_out stringnullable
    tax_control_statement stringnullable
    tax_eu_sales_report stringnullable
    is_reverse_charge boolean
    date_tax_applied datenullable

    transaction

    object

    id int64nullable
    uid uuidnullable
    created_at date-timenullable
    edited_at date-timenullable
    type stringnullable
    no stringnullable
    vendor_doc_no stringnullable
    credited_doc_no stringnullable
    currency stringnullable
    date_issued datenullable
    date_taxable datenullable
    date_tax_applied datenullable

    contact

    object

    id int64nullable
    business_name stringnullable
    display_name stringnullable
    reg_no stringnullable
    vat_no stringnullable
    tax_no stringnullable

    address

    object

    name stringnullable
    company stringnullable
    address1 stringnullable
    address2 stringnullable
    postal_code stringnullable
    city stringnullable
    region stringnullable
    country stringnullable

    Possible values: <= 2 characters

    email stringnullable
    preferred_locale stringnullable
    phone stringnullable

    transaction_type

    object

    id int32nullable
    name stringnullable
    associated_payment_cards string[]nullable
    description stringnullable
    tax_fx_rate doublenullable
    tax_deduction_ratio doublenullable
    net_deduction_ratio doublenullable

    jurisdiction

    object

    country stringnullable
    region stringnullable
    subregion stringnullable

    row

    object

    description stringnullable
    tax_deduction_ratio doublenullable
    net_deduction_ratio doublenullable

    tax

    object

    id int64
    code stringnullable
    country stringnullable
    region stringnullable
    subregion stringnullable
    name stringnullable

    tax_return_stats

    object

    total_count int32
    first_period stringnullable
    first_tax_return_id int64
    last_period stringnullable
    last_tax_return_id int64
Loading...